import * as express from "express";
import { body } from "express-validator";
import handleValidationResult from "../middleware/handleValidationResult";
import authLoginController from "../controllers/auth.controllers";

const authRouter = express.Router();

authRouter.post(
  "/api/login/",
  body("email").isEmail().normalizeEmail(),
  body("password").not().isEmpty(),
  handleValidationResult,
  authLoginController
);

export default authRouter;
