import { Router } from "express";
import { body } from "express-validator";
import boatTypeControllers from "../controllers/boatTypeControllers.controllers";
import handleValidationResult from "../middleware/handleValidationResult";
import validateToken from "../middleware/validateToken";

const boatTypeRouter = Router();

//show all boatTypes
boatTypeRouter.get(
  "/api/boattype/",
  validateToken,
  boatTypeControllers.showAllBoatTypes
);

//create boatType
boatTypeRouter.post(
  "/api/boattype/",
  body("name").not().isEmpty(),
  body("seats").isInt(),
  handleValidationResult,
  validateToken,
  boatTypeControllers.createBoatTypeController
);

export default boatTypeRouter;
